Subject: bug#16331: 24.3.50; `dired-internal-do-deletions': "Deleting..." message

From: Lars Ingebrigtsen <[email-masked]>
Date: Fri, 07 Feb 2014 19:32:42 -0800

Drew Adams <[email-masked]> writes:

> I see the message when the pending-deletion file list is popped
> and you are asked for confirmation.  Emacs is not deleting
> anything at that point.  It does not start deleting the files
> until you confirm that you want to delete them.
>
> Whether the message appears at all depends on the timing done
> in `progress-reporter-do-update'.  That is the code that shows
> the message.  You may or may not see the message at all,
> depending on your context.

I tried edebugging through the function.  It asked me first whether to
delete the files in question, and then it used the

	 (progress-reporter
	  (make-progress-reporter
	   (if trashing "Trashing..." "Deleting...")
	   succ count)))

to display "Deleting... [33%]".  But that was when it's actually
deleting something.

I can't see the progress reported being used before that, but I may be
misreading the code.

-- 
(domestic pets only, the antidote for overdose, milk.)
  bloggy blog http://lars.ingebrigtsen.no/